#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import os
import sys
sys.path.append(os.curdir)
from globalconf import *

AUTHOR = 'Benjamin Bertrand'
SITENAME = 'OpyTex'
SITETITLE = 'OpyTex'
SITESUBTITLE = "DEV"
#SITEURL = 'https://0.0.0.0:8000/enseignements/DEV'
SITEURL = ''

CC_LICENSE_COMMERCIAL = True
CC_LICENSE = True

PATH = './content'

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'fr'

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

# Files places
IGNORE_FILES = ['venv', '.git', 'tools']
# Pages, articles and static
#PAGE_PATHS = ['pages']
ARTICLE_PATHS = ['.']
STATIC_PATHS = ['.']
INDEX_SAVE_AS = 'blog_index.html'

#
USE_FOLDER_AS_CATEGORY = False

# Plugins
PLUGIN_PATHS = ["plugins"]
PLUGINS = [
    'i18n_subsites',
    "pelican-page-hierarchy",
    # 'pdf-img',
]

# Mirror source structure
PATH_METADATA = '(?P<path_no_ext>.*)\..*'
ARTICLE_URL = ARTICLE_SAVE_AS = PAGE_URL = PAGE_SAVE_AS = '{path_no_ext}.html'

# Readers
READERS = {"html": None}
# Everythings in french
JINJA_ENVIRONMENT = {'extensions': ['jinja2.ext.i18n']}
# Default theme language.
I18N_TEMPLATES_LANG = "en"
# Your language.
DEFAULT_LANG = "fr"
OG_LOCALE = "fr"
LOCALE = ("fr", "fr_FR.utf8")

# Themes
THEME = "./theme/"
USE_GOOGLE_FONTS = False

DISPLAY_PAGES_ON_SIDE = False

MAIN_MENU = True
DISPLAY_CATEGORIES_ON_MENU = False
TOCTREE = True

#SITELOGO = ""
LINKS = ()
DEFAULT_PAGINATION = 10

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None
